function [H]=CVhough(edgedata,nT,nS)
%CVhough Hough transform of a binary matrix
%
%function [H,m,b]=CVhough(edgedata,nT,nS)
%	edgedata a 2-row matrix, with the x and y coordinates of the edges
%	nT number of orientations(thetas)~ 1/orientation resolution
%	nS number of distances 				~ 1/distance resolution
%	H votes histogram
%	m and b: distance mapping parameters
%           [1..nS] = [Smin...Smax]*m + b%
%
%	See also: CVimage, CVhough, CVunhough, CVedge, CVline, CVproj

MAXDIST=1.2;


if nargin<1
   error('require at least one input argument: binary image')
elseif nargin<2
   warning('default value of 200 assigned to number of orientations nT')
   nT=200;
   warning(['default value of', max(edgedata(:))*MAXDIST, 'assigned to number of orientations nS'])
   nS=max(edgedata(:))*MAXDIST;
elseif nargin<3
   warning(['default value of', max(edgedata(:))*MAXDIST, 'assigned to number of orientations nS'])
   nS=max(edgedata(:))*MAXDIST;
end

%*************************************************************************
%
%	WHAT WE PROVIDE YOU:
%
%	ROW AND COL ARE VECTORS CONTAINING THE COORDINATES (X,Y) 
%	OF THE POINTS DETECTED BY THE EDGE DETECTION
%
%	nT REPRESENTS THE NUMBER OF QUANTIZATION STEPS FOR ANGLE THETA 
%	nS		''				''					''			''			DISTANCE R 
%
%*************************************************************************

row=edgedata(2,:)';
col=edgedata(1,:)';

%*************************************************************************
%
%	STUDENTS: PUT YOUR OWN CODE HERE BELOW !!!
%
%*************************************************************************

disp('You need some code here in CVHough.m!');
H=[];

%	You need to create the matrix H representing the Hough transform
%	of the edge points, of dimension (nT, nS)

%*************************************************************************
%
%	END YOUR CODE HERE
%
%*************************************************************************

