function edgeposfine=CVrowedges(row,b,threshold);

  x = (-ceil(b)*3):(ceil(b)*3);
  dg1 = 1/sqrt(2*pi*b^2)*(-x/b^2).*exp(-(x).^2/(2*b^2));
  drow1 = conv2(row,dg1,'same');
  adrow1=abs(drow1);
  n=size(adrow1,2);
  i0=2:(n-1);
  ih=3:n;
  iv=1:(n-2);
  edgepts= (adrow1(i0)>adrow1(ih)) & (adrow1(i0)>adrow1(iv)) & (adrow1(i0)>threshold);
  edgepos=[find(edgepts)+1];

% Iterative improvement of edges at these postions
  edgeposfine=edgepos;
  for i=1:size(edgepos,2);
    xk=edgepos(1,i);
    for k=1:5,
     [m1,m2,m3]=calcw123_1(row,xk,b);
     xk=xk-max(min(m2/m3,0.3),-0.3);
   end;
   edgeposfine(1,i)=xk;
  end;
  
  
function [m1,m2,m3]=calcw123_1(row,x,b);

x0=x;
[m,n]=size(row);
NN=round(b*3);
cutx=max(round(x0)-NN,1):min(round(x0)+NN,n);
if size(cutx,2)<3,
  error('x outside row');
else
  cutrow=row(cutx);
  x=cutx;

  filt0 = 1/(b*sqrt(2*pi)).*exp(-((x-x0).^2)/(2*b^2));
  filt1 = ( (x-x0)/(b^2) ).*filt0;
  filt2 = ( ((x-x0).^2 - b^2)/b^4 ).*filt0;
  filt3 = ( (x-x0).*((x-x0).^2 - 3*b^2)/b^6 ).*filt0;
  m1=sum(filt1.*cutrow);
  m2=sum(filt2.*cutrow);
  m3=sum(filt3.*cutrow);

end;

  